org.modeshape.sequencer.ddl.dialect.postgres

## Interface PostgresDdlConstants.PostgresStatementStartPhrases

- All Known Implementing Classes:
    PostgresDdlParser
  Enclosing interface:
    PostgresDdlConstants

      public static interface PostgresDdlConstants.PostgresStatementStartPhrases

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[][]` | `ALTER_PHRASES`
    `static String[]` | `COMPLEX_STMT_TYPES`
    `static String[][]` | `CREATE_PHRASES`
    `static String[][]` | `DROP_PHRASES`
    `static String[][]` | `MISC_PHRASES`
    `static String[][]` | `SET_PHRASES`
    `static String[]` | `STMT_ABORT`
    `static String[]` | `STMT_ALTER_AGGREGATE`
    `static String[]` | `STMT_ALTER_CONVERSION`
    `static String[]` | `STMT_ALTER_DATABASE`
    `static String[]` | `STMT_ALTER_FOREIGN_DATA_WRAPPER`
    `static String[]` | `STMT_ALTER_FUNCTION`
    `static String[]` | `STMT_ALTER_GROUP`
    `static String[]` | `STMT_ALTER_INDEX`
    `static String[]` | `STMT_ALTER_LANGUAGE`
    `static String[]` | `STMT_ALTER_OPERATOR`
    `static String[]` | `STMT_ALTER_OPERATOR_CLASS`
    `static String[]` | `STMT_ALTER_OPERATOR_FAMILY`
    `static String[]` | `STMT_ALTER_PROCEDURAL_LANGUAGE`
    `static String[]` | `STMT_ALTER_ROLE`
    `static String[]` | `STMT_ALTER_SCHEMA`
    `static String[]` | `STMT_ALTER_SEQUENCE`
    `static String[]` | `STMT_ALTER_SERVER`
    `static String[]` | `STMT_ALTER_TABLESPACE`
    `static String[]` | `STMT_ALTER_TEXT_SEARCH`
    `static String[]` | `STMT_ALTER_TEXT_SEARCH_CONFIGURATION`
    `static String[]` | `STMT_ALTER_TEXT_SEARCH_DICTIONARY`
    `static String[]` | `STMT_ALTER_TEXT_SEARCH_PARSER`
    `static String[]` | `STMT_ALTER_TEXT_SEARCH_TEMPLATE`
    `static String[]` | `STMT_ALTER_TRIGGER`
    `static String[]` | `STMT_ALTER_TYPE`
    `static String[]` | `STMT_ALTER_USER`
    `static String[]` | `STMT_ALTER_USER_MAPPING`
    `static String[]` | `STMT_ALTER_VIEW`
    `static String[]` | `STMT_ANALYZE`
    `static String[]` | `STMT_CLUSTER`
    `static String[]` | `STMT_COMMENT_ON`
    `static String[]` | `STMT_COMMIT`
    `static String[]` | `STMT_COPY`
    `static String[]` | `STMT_CREATE_AGGREGATE`
    `static String[]` | `STMT_CREATE_CAST`
    `static String[]` | `STMT_CREATE_CONSTRAINT_TRIGGER`
    `static String[]` | `STMT_CREATE_CONVERSION`
    `static String[]` | `STMT_CREATE_DATABASE`
    `static String[]` | `STMT_CREATE_FOREIGN_DATA_WRAPPER`
    `static String[]` | `STMT_CREATE_FUNCTION`
    `static String[]` | `STMT_CREATE_GLOBAL_TEMP_TABLE`
    `static String[]` | `STMT_CREATE_GROUP`
    `static String[]` | `STMT_CREATE_INDEX`
    `static String[]` | `STMT_CREATE_LANGUAGE`
    `static String[]` | `STMT_CREATE_LOCAL_TEMP_TABLE`
    `static String[]` | `STMT_CREATE_OPERATOR`
    `static String[]` | `STMT_CREATE_OPERATOR_CLASS`
    `static String[]` | `STMT_CREATE_OPERATOR_FAMILY`
    `static String[]` | `STMT_CREATE_OR_REPLACE_FUNCTION`
    `static String[]` | `STMT_CREATE_OR_REPLACE_RULE`
    `static String[]` | `STMT_CREATE_PROCEDURAL_LANGUAGE`
    `static String[]` | `STMT_CREATE_ROLE`
    `static String[]` | `STMT_CREATE_RULE`
    `static String[]` | `STMT_CREATE_SEQUENCE`
    `static String[]` | `STMT_CREATE_SERVER`
    `static String[]` | `STMT_CREATE_TABLESPACE`
    `static String[]` | `STMT_CREATE_TEMP_SEQUENCE`
    `static String[]` | `STMT_CREATE_TEMP_TABLE`
    `static String[]` | `STMT_CREATE_TEMPORARY_SEQUENCE`
    `static String[]` | `STMT_CREATE_TEXT_SEARCH`
    `static String[]` | `STMT_CREATE_TEXT_SEARCH_CONFIGURATION`
    `static String[]` | `STMT_CREATE_TEXT_SEARCH_DICTIONARY`
    `static String[]` | `STMT_CREATE_TEXT_SEARCH_PARSER`
    `static String[]` | `STMT_CREATE_TEXT_SEARCH_TEMPLATE`
    `static String[]` | `STMT_CREATE_TRIGGER`
    `static String[]` | `STMT_CREATE_TRUSTED_PROCEDURAL_LANGUAGE`
    `static String[]` | `STMT_CREATE_TYPE`
    `static String[]` | `STMT_CREATE_UNIQUE_INDEX`
    `static String[]` | `STMT_CREATE_USER`
    `static String[]` | `STMT_CREATE_USER_MAPPING`
    `static String[]` | `STMT_DEALLOCATE`
    `static String[]` | `STMT_DEALLOCATE_PREPARE`
    `static String[]` | `STMT_DECLARE`
    `static String[]` | `STMT_DISCARD`
    `static String[]` | `STMT_DROP_AGGREGATE`
    `static String[]` | `STMT_DROP_CAST`
    `static String[]` | `STMT_DROP_CONSTRAINT_TRIGGER`
    `static String[]` | `STMT_DROP_CONVERSION`
    `static String[]` | `STMT_DROP_DATABASE`
    `static String[]` | `STMT_DROP_FOREIGN_DATA_WRAPPER`
    `static String[]` | `STMT_DROP_FUNCTION`
    `static String[]` | `STMT_DROP_GROUP`
    `static String[]` | `STMT_DROP_INDEX`
    `static String[]` | `STMT_DROP_LANGUAGE`
    `static String[]` | `STMT_DROP_OPERATOR`
    `static String[]` | `STMT_DROP_OPERATOR_CLASS`
    `static String[]` | `STMT_DROP_OPERATOR_FAMILY`
    `static String[]` | `STMT_DROP_OWNED_BY`
    `static String[]` | `STMT_DROP_PROCEDURAL_LANGUAGE`
    `static String[]` | `STMT_DROP_ROLE`
    `static String[]` | `STMT_DROP_RULE`
    `static String[]` | `STMT_DROP_SEQUENCE`
    `static String[]` | `STMT_DROP_SERVER`
    `static String[]` | `STMT_DROP_TABLESPACE`
    `static String[]` | `STMT_DROP_TEXT_SEARCH`
    `static String[]` | `STMT_DROP_TEXT_SEARCH_CONFIGURATION`
    `static String[]` | `STMT_DROP_TEXT_SEARCH_DICTIONARY`
    `static String[]` | `STMT_DROP_TEXT_SEARCH_PARSER`
    `static String[]` | `STMT_DROP_TEXT_SEARCH_TEMPLATE`
    `static String[]` | `STMT_DROP_TRIGGER`
    `static String[]` | `STMT_DROP_TYPE`
    `static String[]` | `STMT_DROP_USER`
    `static String[]` | `STMT_DROP_USER_MAPPING`
    `static String[]` | `STMT_EXPLAIN`
    `static String[]` | `STMT_EXPLAIN_ANALYZE`
    `static String[]` | `STMT_FETCH`
    `static String[]` | `STMT_LISTEN`
    `static String[]` | `STMT_LOAD`
    `static String[]` | `STMT_LOCK_TABLE`
    `static String[]` | `STMT_MOVE`
    `static String[]` | `STMT_NOTIFY`
    `static String[]` | `STMT_PREPARE`
    `static String[]` | `STMT_PREPARE_TRANSATION`
    `static String[]` | `STMT_REASSIGN_OWNED`
    `static String[]` | `STMT_REINDEX`
    `static String[]` | `STMT_RELEASE_SAVEPOINT`
    `static String[]` | `STMT_REVOKE`
    `static String[]` | `STMT_ROLLBACK`
    `static String[]` | `STMT_ROLLBACK_PREPARED`
    `static String[]` | `STMT_ROLLBACK_TO_SAVEPOINT`
    `static String[]` | `STMT_SELECT_INTO`
    `static String[]` | `STMT_SET_CONSTRAINTS`
    `static String[]` | `STMT_SET_ROLE`
    `static String[]` | `STMT_SET_SESSION_AUTHORIZATION`
    `static String[]` | `STMT_SET_TRANSACTION`
    `static String[]` | `STMT_SHOW`
    `static String[]` | `STMT_TRUNCATE`
    `static String[]` | `STMT_UNLISTEN`
    `static String[]` | `STMT_VACUUM`
    `static String[]` | `VALID_SCHEMA_CHILD_STMTS`

- - ### Field Detail

    - #### STMT_ALTER_AGGREGATE

          static final String[] STMT_ALTER_AGGREGATE

    - #### STMT_ALTER_CONVERSION

          static final String[] STMT_ALTER_CONVERSION

    - #### STMT_ALTER_DATABASE

          static final String[] STMT_ALTER_DATABASE

    - #### STMT_ALTER_FOREIGN_DATA_WRAPPER

          static final String[] STMT_ALTER_FOREIGN_DATA_WRAPPER

    - #### STMT_ALTER_FUNCTION

          static final String[] STMT_ALTER_FUNCTION

    - #### STMT_ALTER_GROUP

          static final String[] STMT_ALTER_GROUP

    - #### STMT_ALTER_INDEX

          static final String[] STMT_ALTER_INDEX

    - #### STMT_ALTER_LANGUAGE

          static final String[] STMT_ALTER_LANGUAGE

    - #### STMT_ALTER_PROCEDURAL_LANGUAGE

          static final String[] STMT_ALTER_PROCEDURAL_LANGUAGE

    - #### STMT_ALTER_OPERATOR

          static final String[] STMT_ALTER_OPERATOR

    - #### STMT_ALTER_OPERATOR_CLASS

          static final String[] STMT_ALTER_OPERATOR_CLASS

    - #### STMT_ALTER_OPERATOR_FAMILY

          static final String[] STMT_ALTER_OPERATOR_FAMILY

    - #### STMT_ALTER_ROLE

          static final String[] STMT_ALTER_ROLE

    - #### STMT_ALTER_SCHEMA

          static final String[] STMT_ALTER_SCHEMA

    - #### STMT_ALTER_SEQUENCE

          static final String[] STMT_ALTER_SEQUENCE

    - #### STMT_ALTER_SERVER

          static final String[] STMT_ALTER_SERVER

    - #### STMT_ALTER_TABLESPACE

          static final String[] STMT_ALTER_TABLESPACE

    - #### STMT_ALTER_TEXT_SEARCH_CONFIGURATION

          static final String[] STMT_ALTER_TEXT_SEARCH_CONFIGURATION

    - #### STMT_ALTER_TEXT_SEARCH_DICTIONARY

          static final String[] STMT_ALTER_TEXT_SEARCH_DICTIONARY

    - #### STMT_ALTER_TEXT_SEARCH_PARSER

          static final String[] STMT_ALTER_TEXT_SEARCH_PARSER

    - #### STMT_ALTER_TEXT_SEARCH_TEMPLATE

          static final String[] STMT_ALTER_TEXT_SEARCH_TEMPLATE

    - #### STMT_ALTER_TEXT_SEARCH

          static final String[] STMT_ALTER_TEXT_SEARCH

    - #### STMT_ALTER_TRIGGER

          static final String[] STMT_ALTER_TRIGGER

    - #### STMT_ALTER_TYPE

          static final String[] STMT_ALTER_TYPE

    - #### STMT_ALTER_USER

          static final String[] STMT_ALTER_USER

    - #### STMT_ALTER_USER_MAPPING

          static final String[] STMT_ALTER_USER_MAPPING

    - #### STMT_ALTER_VIEW

          static final String[] STMT_ALTER_VIEW

    - #### ALTER_PHRASES

          static final String[][] ALTER_PHRASES

    - #### STMT_CREATE_AGGREGATE

          static final String[] STMT_CREATE_AGGREGATE

    - #### STMT_CREATE_CAST

          static final String[] STMT_CREATE_CAST

    - #### STMT_CREATE_CONSTRAINT_TRIGGER

          static final String[] STMT_CREATE_CONSTRAINT_TRIGGER

    - #### STMT_CREATE_CONVERSION

          static final String[] STMT_CREATE_CONVERSION

    - #### STMT_CREATE_DATABASE

          static final String[] STMT_CREATE_DATABASE

    - #### STMT_CREATE_FOREIGN_DATA_WRAPPER

          static final String[] STMT_CREATE_FOREIGN_DATA_WRAPPER

    - #### STMT_CREATE_FUNCTION

          static final String[] STMT_CREATE_FUNCTION

    - #### STMT_CREATE_OR_REPLACE_FUNCTION

          static final String[] STMT_CREATE_OR_REPLACE_FUNCTION

    - #### STMT_CREATE_GROUP

          static final String[] STMT_CREATE_GROUP

    - #### STMT_CREATE_INDEX

          static final String[] STMT_CREATE_INDEX

    - #### STMT_CREATE_UNIQUE_INDEX

          static final String[] STMT_CREATE_UNIQUE_INDEX

    - #### STMT_CREATE_LANGUAGE

          static final String[] STMT_CREATE_LANGUAGE

    - #### STMT_CREATE_PROCEDURAL_LANGUAGE

          static final String[] STMT_CREATE_PROCEDURAL_LANGUAGE

    - #### STMT_CREATE_TRUSTED_PROCEDURAL_LANGUAGE

          static final String[] STMT_CREATE_TRUSTED_PROCEDURAL_LANGUAGE

    - #### STMT_CREATE_OPERATOR

          static final String[] STMT_CREATE_OPERATOR

    - #### STMT_CREATE_OPERATOR_CLASS

          static final String[] STMT_CREATE_OPERATOR_CLASS

    - #### STMT_CREATE_OPERATOR_FAMILY

          static final String[] STMT_CREATE_OPERATOR_FAMILY

    - #### STMT_CREATE_ROLE

          static final String[] STMT_CREATE_ROLE

    - #### STMT_CREATE_RULE

          static final String[] STMT_CREATE_RULE

    - #### STMT_CREATE_OR_REPLACE_RULE

          static final String[] STMT_CREATE_OR_REPLACE_RULE

    - #### STMT_CREATE_TEMP_TABLE

          static final String[] STMT_CREATE_TEMP_TABLE

    - #### STMT_CREATE_GLOBAL_TEMP_TABLE

          static final String[] STMT_CREATE_GLOBAL_TEMP_TABLE

    - #### STMT_CREATE_LOCAL_TEMP_TABLE

          static final String[] STMT_CREATE_LOCAL_TEMP_TABLE

    - #### STMT_CREATE_SEQUENCE

          static final String[] STMT_CREATE_SEQUENCE

    - #### STMT_CREATE_TEMP_SEQUENCE

          static final String[] STMT_CREATE_TEMP_SEQUENCE

    - #### STMT_CREATE_TEMPORARY_SEQUENCE

          static final String[] STMT_CREATE_TEMPORARY_SEQUENCE

    - #### STMT_CREATE_SERVER

          static final String[] STMT_CREATE_SERVER

    - #### STMT_CREATE_TABLESPACE

          static final String[] STMT_CREATE_TABLESPACE

    - #### STMT_CREATE_TEXT_SEARCH_CONFIGURATION

          static final String[] STMT_CREATE_TEXT_SEARCH_CONFIGURATION

    - #### STMT_CREATE_TEXT_SEARCH_DICTIONARY

          static final String[] STMT_CREATE_TEXT_SEARCH_DICTIONARY

    - #### STMT_CREATE_TEXT_SEARCH_PARSER

          static final String[] STMT_CREATE_TEXT_SEARCH_PARSER

    - #### STMT_CREATE_TEXT_SEARCH_TEMPLATE

          static final String[] STMT_CREATE_TEXT_SEARCH_TEMPLATE

    - #### STMT_CREATE_TEXT_SEARCH

          static final String[] STMT_CREATE_TEXT_SEARCH

    - #### STMT_CREATE_TRIGGER

          static final String[] STMT_CREATE_TRIGGER

    - #### STMT_CREATE_TYPE

          static final String[] STMT_CREATE_TYPE

    - #### STMT_CREATE_USER

          static final String[] STMT_CREATE_USER

    - #### STMT_CREATE_USER_MAPPING

          static final String[] STMT_CREATE_USER_MAPPING

    - #### CREATE_PHRASES

          static final String[][] CREATE_PHRASES

    - #### STMT_DROP_AGGREGATE

          static final String[] STMT_DROP_AGGREGATE

    - #### STMT_DROP_CAST

          static final String[] STMT_DROP_CAST

    - #### STMT_DROP_CONSTRAINT_TRIGGER

          static final String[] STMT_DROP_CONSTRAINT_TRIGGER

    - #### STMT_DROP_CONVERSION

          static final String[] STMT_DROP_CONVERSION

    - #### STMT_DROP_DATABASE

          static final String[] STMT_DROP_DATABASE

    - #### STMT_DROP_FOREIGN_DATA_WRAPPER

          static final String[] STMT_DROP_FOREIGN_DATA_WRAPPER

    - #### STMT_DROP_FUNCTION

          static final String[] STMT_DROP_FUNCTION

    - #### STMT_DROP_GROUP

          static final String[] STMT_DROP_GROUP

    - #### STMT_DROP_INDEX

          static final String[] STMT_DROP_INDEX

    - #### STMT_DROP_LANGUAGE

          static final String[] STMT_DROP_LANGUAGE

    - #### STMT_DROP_PROCEDURAL_LANGUAGE

          static final String[] STMT_DROP_PROCEDURAL_LANGUAGE

    - #### STMT_DROP_OPERATOR

          static final String[] STMT_DROP_OPERATOR

    - #### STMT_DROP_OPERATOR_CLASS

          static final String[] STMT_DROP_OPERATOR_CLASS

    - #### STMT_DROP_OPERATOR_FAMILY

          static final String[] STMT_DROP_OPERATOR_FAMILY

    - #### STMT_DROP_OWNED_BY

          static final String[] STMT_DROP_OWNED_BY

    - #### STMT_DROP_ROLE

          static final String[] STMT_DROP_ROLE

    - #### STMT_DROP_RULE

          static final String[] STMT_DROP_RULE

    - #### STMT_DROP_SEQUENCE

          static final String[] STMT_DROP_SEQUENCE

    - #### STMT_DROP_SERVER

          static final String[] STMT_DROP_SERVER

    - #### STMT_DROP_TABLESPACE

          static final String[] STMT_DROP_TABLESPACE

    - #### STMT_DROP_TEXT_SEARCH_CONFIGURATION

          static final String[] STMT_DROP_TEXT_SEARCH_CONFIGURATION

    - #### STMT_DROP_TEXT_SEARCH_DICTIONARY

          static final String[] STMT_DROP_TEXT_SEARCH_DICTIONARY

    - #### STMT_DROP_TEXT_SEARCH_PARSER

          static final String[] STMT_DROP_TEXT_SEARCH_PARSER

    - #### STMT_DROP_TEXT_SEARCH_TEMPLATE

          static final String[] STMT_DROP_TEXT_SEARCH_TEMPLATE

    - #### STMT_DROP_TEXT_SEARCH

          static final String[] STMT_DROP_TEXT_SEARCH

    - #### STMT_DROP_TRIGGER

          static final String[] STMT_DROP_TRIGGER

    - #### STMT_DROP_TYPE

          static final String[] STMT_DROP_TYPE

    - #### STMT_DROP_USER

          static final String[] STMT_DROP_USER

    - #### STMT_DROP_USER_MAPPING

          static final String[] STMT_DROP_USER_MAPPING

    - #### DROP_PHRASES

          static final String[][] DROP_PHRASES

    - #### STMT_SET_CONSTRAINTS

          static final String[] STMT_SET_CONSTRAINTS

    - #### STMT_SET_ROLE

          static final String[] STMT_SET_ROLE

    - #### STMT_SET_SESSION_AUTHORIZATION

          static final String[] STMT_SET_SESSION_AUTHORIZATION

    - #### STMT_SET_TRANSACTION

          static final String[] STMT_SET_TRANSACTION

    - #### SET_PHRASES

          static final String[][] SET_PHRASES

    - #### STMT_ABORT

          static final String[] STMT_ABORT

    - #### STMT_ANALYZE

          static final String[] STMT_ANALYZE

    - #### STMT_CLUSTER

          static final String[] STMT_CLUSTER

    - #### STMT_COMMENT_ON

          static final String[] STMT_COMMENT_ON

    - #### STMT_COMMIT

          static final String[] STMT_COMMIT

    - #### STMT_COPY

          static final String[] STMT_COPY

    - #### STMT_DEALLOCATE_PREPARE

          static final String[] STMT_DEALLOCATE_PREPARE

    - #### STMT_DEALLOCATE

          static final String[] STMT_DEALLOCATE

    - #### STMT_DECLARE

          static final String[] STMT_DECLARE

    - #### STMT_DISCARD

          static final String[] STMT_DISCARD

    - #### STMT_EXPLAIN_ANALYZE

          static final String[] STMT_EXPLAIN_ANALYZE

    - #### STMT_EXPLAIN

          static final String[] STMT_EXPLAIN

    - #### STMT_FETCH

          static final String[] STMT_FETCH

    - #### STMT_LISTEN

          static final String[] STMT_LISTEN

    - #### STMT_LOAD

          static final String[] STMT_LOAD

    - #### STMT_LOCK_TABLE

          static final String[] STMT_LOCK_TABLE

    - #### STMT_MOVE

          static final String[] STMT_MOVE

    - #### STMT_NOTIFY

          static final String[] STMT_NOTIFY

    - #### STMT_PREPARE

          static final String[] STMT_PREPARE

    - #### STMT_PREPARE_TRANSATION

          static final String[] STMT_PREPARE_TRANSATION

    - #### STMT_REASSIGN_OWNED

          static final String[] STMT_REASSIGN_OWNED

    - #### STMT_REINDEX

          static final String[] STMT_REINDEX

    - #### STMT_RELEASE_SAVEPOINT

          static final String[] STMT_RELEASE_SAVEPOINT

    - #### STMT_REVOKE

          static final String[] STMT_REVOKE

    - #### STMT_ROLLBACK

          static final String[] STMT_ROLLBACK

    - #### STMT_ROLLBACK_PREPARED

          static final String[] STMT_ROLLBACK_PREPARED

    - #### STMT_ROLLBACK_TO_SAVEPOINT

          static final String[] STMT_ROLLBACK_TO_SAVEPOINT

    - #### STMT_SELECT_INTO

          static final String[] STMT_SELECT_INTO

    - #### STMT_SHOW

          static final String[] STMT_SHOW

    - #### STMT_TRUNCATE

          static final String[] STMT_TRUNCATE

    - #### STMT_UNLISTEN

          static final String[] STMT_UNLISTEN

    - #### STMT_VACUUM

          static final String[] STMT_VACUUM

    - #### MISC_PHRASES

          static final String[][] MISC_PHRASES

    - #### VALID_SCHEMA_CHILD_STMTS

          static final String[] VALID_SCHEMA_CHILD_STMTS

    - #### COMPLEX_STMT_TYPES

          static final String[] COMPLEX_STMT_TYPES

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.